Subject: Bug#1132: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <[email-masked]>
Date: Mon, 30 Jan 2017 14:59:33 +0000

There was a /usr/share/X11/rgb.txt file on the remote system, I copied it's concents also to /etc/x2go/rgb and still having issues. The main issue I Have narrowed down is that it's xterm. If I open up a terminal on remote system and run a "xterm -bg 'white' -fg 'black'" it comes up with "Color name not defined" errors, as it can't find a reference to those values. If I run xterm with the actual values instead of the color name though it opens fine.

I'm not exactly sure why x2go sessions are not working with the files in place.

Brian Town
Landsat 8
Goddard Space Flight Center

-----Original Message-----
From: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] 
Sent: Tuesday, January 24, 2017 8:26 AM
To: [email-masked]' <[email-masked]>; [email-masked]
Subject: RE: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications

My apologies but not seeing this sooner, we were told by the software devs that the program does source the rgb.txt file for color values. I must have completely missed this email somehow but will test out what was said.

Brian Town
Landsat 8
Goddard Space Flight Center

-----Original Message-----
From: Ulrich Sibiller [mailto:[email-masked]] 
Sent: Tuesday, January 10, 2017 9:34 AM
To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <[email-masked]>; [email-masked]
Subject: Re: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications

On Mon, Jan 9, 2017 at 5:58 PM, Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <[email-masked]> wrote:
> Darn was hoping to have won the prize! Haha
>
> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
>
> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
>
> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
>
> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.

Color issues might have to do with the rgb file not being found (or being incomplete). IIRC we have fixed something in the coming 3.6.x release in this regard. Please test if the problem persists with current nx beta, http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting.

You could also check if one of these rgb files exist (add .txt extension). They are searched in this order:

static char* nxAltRgbPaths[] = {"/etc/x2go/rgb", \
                                "/usr/share/x2go/rgb", \
                                "/usr/local/share/x2go/rgb", \
                                "/etc/nxagent/rgb", \
                                "/usr/share/nx/rgb", \
                                "/usr/local/share/nx/rgb", \
                                "/usr/NX/share/rgb", \
                                "/usr/share/X11/rgb", \
                                "/etc/X11/rgb"};

So if you find one compare it to the one you real X server is using (should be visible in /var/log/Xorg.0.log).

Or maybe, instead of checking all this: simply copy the rgb.txt from your X server to /etc/x2go/rgb.txt and retry.

Uli